
package zoomarket;

import java.util.Iterator;


public class UserManager extends Repository {
	private final String adminUserName = "admin";
	private final String adminPassword = "***";

	public UserManager() {
		super();
	}

	User getUser(String strUsername, String strPassword){
		if( strUsername == null || strPassword == null ) return null;

		try{
			if( strUsername.equals(adminUserName) &&
				strPassword.equals(adminPassword) ) return new User(adminUserName, adminPassword, 2);
		} catch(ZooException ex){
			return null; //Impossible.
		}

		Iterator iter = items.iterator();
		User currentUser = null;
		while( iter.hasNext() ){
			currentUser = (User)iter.next();
			if( currentUser.getUsername().equals(strUsername) &&
				currentUser.getPassword().equals(strPassword) ) return currentUser;
		}
		return null;
	}

	User getUserByName(String strUsername){
		try{
			if( strUsername.equals(adminUserName) ) return new User(adminUserName, adminPassword, 2);
		} catch(ZooException ex){
			return null; //Impossible.
		}

		Iterator iter = items.iterator();
		User currentUser = null;
		while( iter.hasNext() ){
			currentUser = (User)iter.next();
			if( currentUser.getUsername().equals(strUsername) ) return currentUser;
		}
		return null;
	}

    public void addUser( String username, String password, int type ) throws ZooException{
        addItem( new User( username, password, type ) );
    }

    public void insertUser( int dest, String username, String password, int type ) throws ZooException{
        insertItem( dest, new User(username, password, type) );
    }

}
