
package zoomarket;


public class ZooException extends Exception{

    private String reason;

    public ZooException( String reason ){
        setReason( reason );
    }

    public ZooException( Exception ex, String reason ){
        super( ex );
        setReason( reason );
    }

    public void setReason( String reason ){
        if( reason != null ) this.reason = reason;
        else this.reason = "";
    }

    public String getMessage(){
        return ((super.getMessage() != null)? super.getMessage() : "") + "\nReason: " + reason;
    }
}
