
package zoomarket;

import java.io.Serializable;


public class Manufacturer implements Serializable {
    private String name;

    public Manufacturer( String name ) throws ZooException{
        setName( name );
    }

    public void setName( String name ) throws ZooException{
        if( name == null || name.equals("") ) throw new ZooException("Empty Manufacturer Name");
        this.name = name;
    }

    public String getName(){
        return name;
    }

    public String toString(){
        return name;
    }

}
